import pandas as pd
import os
import PyLibrary.funciones_comunes as fc

def exportar_para_traduccion(tipo_PLC, archivo_maestro, target_lang_code):
    if not os.path.exists(archivo_maestro):
        print("El archivo maestro no existe.")
        return

    df_maestro = pd.read_excel(archivo_maestro)

    # Crear un nuevo DataFrame para la exportación
    df_export = pd.DataFrame()

    # Copiar la primera columna tal cual
    df_export[df_maestro.columns[0]] = df_maestro[df_maestro.columns[0]]
    df_export[target_lang_code] = df_maestro[target_lang_code]

    # Guardar el archivo exportado
    ruta_export = os.path.join(os.path.dirname(archivo_maestro), f'2_master_export2translate_{tipo_PLC}.xlsx')
    fc.save_dataframe_with_retries(df_export,output_path=ruta_export)

    print(f"Archivo exportado para traducción: {ruta_export}")

def run(tipo_PLC, codigo_columna_maestra, seleccion_idioma):    
    archivo_maestro = f".\\data\\1_hmi_master_translates_{tipo_PLC}.xlsx"
    if seleccion_idioma not in fc.IDIOMAS:
        print("Selección inválida.")
    else:
        _, target_lang_code = fc.IDIOMAS[seleccion_idioma]
        exportar_para_traduccion(tipo_PLC, archivo_maestro, target_lang_code)

if __name__ == "__main__":
    tipo_PLC = "siemens"
    codigo_columna_maestra = "it-IT"
    fc.mostrar_idiomas()
    seleccion_idioma = int(input("Introduce el número del idioma de destino: "))
    run(tipo_PLC, seleccion_idioma)